/// <reference types="node" />
import { EventEmitter } from "events";
import Event from "./eventTypes";
type Handler = (...args: any[]) => void;
declare class NC extends EventEmitter {
    constructor();
    publish(channel: string, ...args: any[]): void;
    addObserver: <data = any>(channel: string, callback: (data: data) => void) => this;
    removeObserve(channel: string, handle: Handler): void;
}
declare const nc: NC;
export default nc;
export { Event };
